.. toctree::
   :glob:

.. _AccessingTheProject:

Accessing the Project
############################

Google Summer of Code Page
==========================
To see the Google Summer of Code 2017 page of the A4MCAR project, visit `Summer of Code With Google - Projects <https://summerofcode.withgoogle.com/projects/#5257433030066176>`_.


Source Code
===========
Source code in several environments, AMALTHEA models, and documentation of the **A4MCAR** and **Rover** projects are distributed under Eclipse Public License from the Git repository: `https://git.eclipse.org/r/app4mc/org.eclipse.app4mc.examples <https://git.eclipse.org/r/app4mc/org.eclipse.app4mc.examples>`_. To see the instructions on how to clone and install applications, please follow: :ref:`cloneour`.

Commits
*******
In order to see the commits done to the project, please follow the link `http://git.eclipse.org/c/app4mc/org.eclipse.app4mc.examples.git/log/ <http://git.eclipse.org/c/app4mc/org.eclipse.app4mc.examples.git/log/>`_.

Source Tree
***********
To view the **A4MCAR** and **Rover** project source tree online, one should visit `http://git.eclipse.org/c/app4mc/org.eclipse.app4mc.examples.git/tree/  <http://git.eclipse.org/c/app4mc/org.eclipse.app4mc.examples.git/tree/>`_.


Documentations
==============
Two documentations are delivered with A4MCAR project:
  
* This A4MCAR Introduction and Setup manual that is hosted under `https://mozcelikors.github.io/a4mcar/ <https://mozcelikors.github.io/a4mcar/content/intro.html>`_ or `http://a4mcar.readthedocs.io <http://a4mcar.readthedocs.io>`_.

* The comprehensive documentation of A4MCAR which address research focuses can be accessed using `This PDF <https://gitlab.idial.institute/RPublic/A4mcar_documentation/raw/master/a4mcar_documentation.pdf>`_


External Links
==============

* `APP4MC Project <http://www.eclipse.org/app4mc/>`_

* `APP4MC Project Wiki <https://wiki.eclipse.org/APP4MC>`_
  
* `Rover Project Wiki <https://wiki.eclipse.org/APP4MC/Rover>`_

* `Google Summer of Code 2017 Ideas Wiki - Eclipse.org <https://wiki.eclipse.org/Google_Summer_of_Code_2017_Ideas>`_

* `APP4MC-based project accepted for Google Summer of Code 2017 <https://www.eclipse.org/app4mc/news/2017-05-23_GSOC_Rover2017/>`_

* `PolarSys Rover User Story: Application Platform Project for MultiCore (APP4MC) <https://www.polarsys.org/polarsys-rover-user-story-application-platform-project-multicore-app4mc>`_
